Imagick::segmentImage
Imagick::sepiaToneImage
Imagick
PHP Manual

# Imagick::separateImageChannel

(PECL imagick 2.0.0)

Imagick::separateImageChannel — Separates a channel from the image

### Description

bool Imagick::separateImageChannel ( int `$channel` )

Separates a channel from the image and returns a grayscale image. A channel is a particular color component of each pixel in the image.

### Parameters

`channel`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::segmentImage
Imagick::sepiaToneImage
Imagick
PHP Manual